#include "Clock.h"
#include <windows.h>

//Clock::Clock(){}
Clock::Clock(long curtime){
	this->cur=curtime;
}
Clock::~Clock(){}
//return how long since windows was boot up minus something in ms
//its useful to call the constructor with GetTickCount() so that each call to delta will return a time since the class was initialized
long Clock::delta(void){
	return GetTickCount()-this->cur;
}